Loading...
Searching...
No Matches
stack_allocator< T >

## Detailed Description

template<typename T>
class rheolef::stack_allocator< T >

Definition at line 51 of file stack_allocator.h.

## Classes

struct | rebind
struct | handler_type

## Public Types

typedef size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T * | pointer
typedef const T * | const_pointer
typedef T & | reference
typedef const T & | const_reference
typedef T | value_type

## Public Member Functions

| stack_allocator () throw ()
| stack_allocator (unsigned char *stack, size_t stack_size) throw ()
| stack_allocator (const stack_allocator &sa) throw ()
template<typename U>
| stack_allocator (const stack_allocator< U > &sa) throw ()
| ~stack_allocator () throw ()
stack_allocator & | operator= (const stack_allocator &sa)
pointer | address (reference r) const
const_pointer | address (const_reference c) const
size_type | max_size () const
void | construct (pointer p, const_reference c)
void | construct (pointer p)
void | destroy (pointer p)
pointer | allocate (size_type n, const void *=NULL)
void | deallocate (pointer p, size_type n)
const handler_type * | get_handler () const

## Protected Attributes

handler_type * | handler

## Member Typedef Documentation

## size_type

template<typename T>

typedef size_t size_type

Definition at line 58 of file stack_allocator.h.

## difference_type

template<typename T>

typedef std::ptrdiff_t difference_type

Definition at line 59 of file stack_allocator.h.

## pointer

template<typename T>

typedef T* pointer

Definition at line 60 of file stack_allocator.h.

## const_pointer

template<typename T>

typedef const T* const_pointer

Definition at line 61 of file stack_allocator.h.

## reference

template<typename T>

typedef T& reference

Definition at line 62 of file stack_allocator.h.

## const_reference

template<typename T>

typedef const T& const_reference

Definition at line 63 of file stack_allocator.h.

## value_type

template<typename T>

typedef T value_type

Definition at line 64 of file stack_allocator.h.

## Constructor & Destructor Documentation

## stack_allocator() [1/4]

template<typename T>

stack_allocator | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 68 of file stack_allocator.h.

## stack_allocator() [2/4]

template<typename T>

stack_allocator | ( | unsigned char * | stack,
|  | size_t | stack_size )
throw | ( | ) |  |  |

Definition at line 72 of file stack_allocator.h.

## stack_allocator() [3/4]

template<typename T>

stack_allocator | ( | const stack_allocator< T > & | sa | ) |
throw | ( | ) |  |  |

Definition at line 77 of file stack_allocator.h.

## stack_allocator() [4/4]

template<typename T>
template<typename U>

stack_allocator | ( | const stack_allocator< U > & | sa | ) |
throw | ( | ) |  |  |

Definition at line 83 of file stack_allocator.h.

## ~stack_allocator()

template<typename T>

~stack_allocator | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 88 of file stack_allocator.h.

## Member Function Documentation

## operator=()

template<typename T>

stack_allocator & operator= | ( | const stack_allocator< T > & | sa | ) |

Definition at line 102 of file stack_allocator.h.

## address() [1/2]

template<typename T>

pointer address | ( | reference | r | ) | const

Definition at line 111 of file stack_allocator.h.

## address() [2/2]

template<typename T>

const_pointer address | ( | const_reference | c | ) | const

Definition at line 112 of file stack_allocator.h.

## max_size()

template<typename T>

size_type max_size | ( |  | ) | const

Definition at line 113 of file stack_allocator.h.

## construct() [1/2]

template<typename T>

void construct | ( | pointer | p,
|  | const_reference | c )

Definition at line 117 of file stack_allocator.h.

## construct() [2/2]

template<typename T>

void construct | ( | pointer | p | ) |

Definition at line 123 of file stack_allocator.h.

## destroy()

template<typename T>

void destroy | ( | pointer | p | ) |

Definition at line 125 of file stack_allocator.h.

## allocate()

template<typename T>

pointer allocate | ( | size_type | n,
|  | const void * | = NULL )

Definition at line 133 of file stack_allocator.h.

## deallocate()

template<typename T>

void deallocate | ( | pointer | p,
|  | size_type | n )

Definition at line 146 of file stack_allocator.h.

## get_handler()

template<typename T>

const handler_type * get_handler | ( |  | ) | const

Definition at line 151 of file stack_allocator.h.

## Member Data Documentation

## handler

template<typename T>

handler_type* handler

protected

Definition at line 188 of file stack_allocator.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/util/lib/stack_allocator.h